curl -X GET 'https://api.weir.ai/org/licenses' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'x-source: console'
{
"data": {
"licenses": [
{
"licenseId": "lic_123456789",
"talentId": "talent_123456789",
"talentName": "John Athlete",
"name": "Social Media Campaign License",
"type": "social_media",
"description": "License for social media campaigns",
"appearanceFee": 5000.00,
"canCrawl": true,
"imageCount": 10,
"status": "active",
"createdAt": "2024-01-15T10:30:00Z"
}
],
"total": 1
},
"message": "Licenses retrieved successfully",
"status": "success"
}
Console APIs - Talent
Get Talent Licenses
Retrieve talent licenses for your agency
GET
/
org
/
licenses
curl -X GET 'https://api.weir.ai/org/licenses' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'x-source: console'
{
"data": {
"licenses": [
{
"licenseId": "lic_123456789",
"talentId": "talent_123456789",
"talentName": "John Athlete",
"name": "Social Media Campaign License",
"type": "social_media",
"description": "License for social media campaigns",
"appearanceFee": 5000.00,
"canCrawl": true,
"imageCount": 10,
"status": "active",
"createdAt": "2024-01-15T10:30:00Z"
}
],
"total": 1
},
"message": "Licenses retrieved successfully",
"status": "success"
}
Get Talent Licenses
Retrieve all NIL licenses managed by your agency.curl -X GET 'https://api.weir.ai/org/licenses' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'x-source: console'
{
"data": {
"licenses": [
{
"licenseId": "lic_123456789",
"talentId": "talent_123456789",
"talentName": "John Athlete",
"name": "Social Media Campaign License",
"type": "social_media",
"description": "License for social media campaigns",
"appearanceFee": 5000.00,
"canCrawl": true,
"imageCount": 10,
"status": "active",
"createdAt": "2024-01-15T10:30:00Z"
}
],
"total": 1
},
"message": "Licenses retrieved successfully",
"status": "success"
}
Response Fields
array
required
Array of license objects.
Show License Properties
Show License Properties
string
required
Unique license identifier.
string
required
Associated talent ID.
string
required
Talent’s name.
string
required
License name.
string
required
License type.
number
Appearance fee amount.
boolean
Whether the license allows automated content crawling.
integer
Number of images included in the license.
string
required
License status (active, inactive, expired).
Usage Examples
const getTalentLicenses = async (accessToken) => {
const response = await fetch('https://api.weir.ai/org/licenses', {
headers: {
'Authorization': `Bearer ${accessToken}`,
'x-source': 'console'
}
});
if (!response.ok) throw new Error(`HTTP error! status: ${response.status}`);
return await response.json();
};
import requests
def get_talent_licenses(access_token):
response = requests.get(
'https://api.weir.ai/org/licenses',
headers={
'Authorization': f'Bearer {access_token}',
'x-source': 'console'
}
)
response.raise_for_status()
return response.json()
Was this page helpful?